Bug 516364 - Review Request: xrdp - Open source remote desktop protocol (RDP) server
Summary: Review Request: xrdp - Open source remote desktop protocol (RDP) server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1242164 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-08 19:02 UTC by Itamar Reis Peixoto
Modified: 2015-07-16 04:16 UTC (History)
5 users (show)

Fixed In Version: 0.5.0-0.2.20090811cvs.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-15 08:22:42 UTC
Type: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Itamar Reis Peixoto 2009-08-08 19:02:01 UTC
Spec URL: http://itamarjp.fedorapeople.org/xrdp/xrdp.spec
SRPM URL: http://itamarjp.fedorapeople.org/xrdp/xrdp-0.5.0-1.fc12.src.rpm
Description: 

The goal of this project is to provide a fully functional Linux terminal
server, capable of accepting connections from rdesktop and Microsoft's own
terminal server / remote desktop clients.


koji scratch build dist-f12 --> 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1591824

Comment 1 Itamar Reis Peixoto 2009-08-08 19:06:15 UTC
this is the current xrdp-cvs version, I want to include it in fedora when the next version released

Comment 2 Mamoru TASAKA 2009-08-10 18:33:56 UTC
Some notes:

* License
  - As far as I checked the whole codes, the license tag
    should be "GPLv2+ with exceptions"

* -libs
  - Would you explain why you want to create -libs subpackage?

* SourceURL / Naming
  - For cvs based source, please follow:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control
    https://fedoraproject.org/wiki/Packaging/NamingGuidelines#PreReleasePackages

* Miscs
  - In comments or %changelog, please use %% instead of % to avoid
    macros expansion.

  - About Patch1, I would recommend to just include your new
    startwm.sh as new source (because it can be seen much easier).
  - For Patch0, maybe
    $ sed -i -e '/\[xrdp2\]/,$d' xrdp/xrdp.ini
    may be easier.

  - Please fix the following rpmlint(s)
---------------------------------------------------------------------
xrdp.i686: E: subsys-not-used /etc/rc.d/init.d/xrdp
xrdp-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/xrdp-0.5.0/keygen/keygen.c
---------------------------------------------------------------------

* Scriptlets
  - Calling /sbin/ldconfig is not needed (for -libs subpackage)
    because no libraries are installed under default library search
    paths (and so I wonder why -libs splitting is needed)

* Files
  (If you want -libs subpackage)
  - Documents like COPYING or so should belong to -libs subpackage
    because -libs subpackage can be installed without main package
    while main package cannot be installed without -libs subpackage

  - Same for the ownership of the directory %{_libdir}/xrdp

  - Please example what package should own the directory
    %_datadir/xrdp

  - Would you explain why you want to write "default" attribute like
    %attr(0755,root,root) or %attr(0644,root,root) explicitly?
    You can set these permissions at %install instead and remove
    these explicit %attr if you are unsure.

Comment 3 Itamar Reis Peixoto 2009-08-10 21:33:23 UTC
I have fixed most of the things, except for 

* SourceURL / Naming
  - For cvs based source, please follow:
    https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control

Can you help, about how to proceed with cvs ?

http://sourceforge.net/projects/xrdp/develop

I don't know if with cvs I can download a specific revision like svn does with "svn export -r 250"

Comment 4 Mamoru TASAKA 2009-08-11 14:53:55 UTC
(In reply to comment #3)

> I don't know if with cvs I can download a specific revision like svn does with
> "svn export -r 250"  

Usually cvs repository does not use any "revision"s (Fedora CVS
system use tags and we can use these tags) An alternative way is to
specify the date (please see "$ cvs --help co" and the explanation of
"-D" option in "$ man cvs")

Comment 7 Mamoru TASAKA 2009-08-12 17:21:33 UTC
For -2:

The following issues on comment 2 are not yet addressed:
(In reply to comment #2)
> * Miscs
>   - In comments or %changelog, please use %% instead of % to avoid
>     macros expansion.
> 
> * Files
>   - Please example what package should own the directory
>     %_datadir/xrdp

* Naming
  - Would you clearify if this is the "post" version of 0.5.0
    or "pre" version of 0.5.0 (i.e. has 0.5.0 already been
    released)?  If this is the "pre" version. the release
    number should be "0.X.%{cvs_related_tag}%{?dist}":
    https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

! Requires
  - Note that Fedora tightvnc-server has "Provides: vnc-server", so
    even on Fedora "Requires: vnc-server" should be enough.

* Macros
-------------------------------------------------------------------
#install /etc/rc.d/init.d/xrdp, use %{_sysconfdir}/rc.d/init.d because On releases older
-------------------------------------------------------------------
  - You can use:
-------------------------------------------------------------------
%{!?initddir: %global initddir %{_sysconfdir}/rc.d/init.d}
-------------------------------------------------------------------

! Creating rsakeys.ini
  - (First of all, please use macros: /etc -> %_sysconfdir)
    https://fedoraproject.org/wiki/Packaging/RPMMacros

  - The following command
--------------------------------------------------------------------
%install
....
xrdp-keygen xrdp %{buildroot}/etc/xrdp/rsakeys.ini
--------------------------------------------------------------------
    won't work because xrdp is not yet installed (under the system
    structure). If rsakyes.ini is to be created here, something like:
--------------------------------------------------------------------
%install
.....
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}/xrdp
export PATH=%{buildroot}%{_bindir}:$PATH
xrdp-keygen xrdp %{buildroot}/etc/xrdp/rsakeys.ini

chmod 644 %{buildroot}/etc/xrdp/rsakeys.ini
--------------------------------------------------------------------
    is needed.
    However, while I am not familiar with xrdp, is it expected that
    all machines using Fedora have the same rsakeys.ini? (again
    I don't know well how this rsakeys.ini is used)
    If not, this script should be moved to %post (and some hacks
    like marking rsakeys.int as %verify(not md5,....) or so is
    needed).

* sysinit
--------------------------------------------------------------------
[root@localhost ~]# ps auwwx | grep xrdp
root     15211  0.0  0.1   5332   824 pts/5    S+   02:09   0:00 grep xrdp
[root@localhost ~]# service xrdp status
xrdp is running
--------------------------------------------------------------------
  - ??
--------------------------------------------------------------------
[root@localhost ~]# service xrdp start
Starting: xrdp and sesman . . [root@localhost ~]# 
--------------------------------------------------------------------
  - There should be the output like [OK] and the cursor should be
    moved to the new line.

Comment 8 Itamar Reis Peixoto 2009-08-13 00:48:23 UTC
new version with improved initscript file.

http://itamarjp.fedorapeople.org/xrdp/xrdp.spec
http://itamarjp.fedorapeople.org/xrdp/xrdp-0.5.0-0.1.20090811cvs.fc12.src.rpm


I am generating rsakeys.ini file in %post section, but the file is un-owned, how to fix this ?

Comment 9 Itamar Reis Peixoto 2009-08-13 03:54:25 UTC
(In reply to comment #7)
> -------------------------------------------------------------------
> #install /etc/rc.d/init.d/xrdp, use %{_sysconfdir}/rc.d/init.d because On
> releases older
> -------------------------------------------------------------------
>   - You can use:
> -------------------------------------------------------------------
> %{!?initddir: %global initddir %{_sysconfdir}/rc.d/init.d}
> -------------------------------------------------------------------

--> 

http://www.redhat.com/archives/fedora-packaging/2009-May/msg00089.html

Comment 10 Mamoru TASAKA 2009-08-13 17:58:48 UTC
For -0.1:

* _initddir
  - Well, actually the macro written at the top should be
    _initddir, not initddir, sorry...

--------------------------------------------------------
%{!?_initddir: %global _initddir %{_sysconfdir}/rc.d/init.d}
--------------------------------------------------------

* Macros
  - If you want to use %__install and %__rm, please use
    %__sed, %__make for consistency (and you also use
    "rm")

* Directory ownership issue
  - Still the directory %_datadir/xrdp itself is not owned
    by any packages.

* About %_sysconfdir/xrdp/rsakeys.ini:
  - You have to use %verify(not ....), like:
---------------------------------------------------------
%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
....
# rsakeys.ini
touch %{buildroot}%{_sysconfdir}/xrdp/rsakeys.ini
chmod 06?? %{buildroot}%{_sysconfdir}/xrdp/rsakeys.ini
....

%files
....
%verify(not size md5 mtime) %{_sysconfdir}/xrdp/rsakeys.ini
....
---------------------------------------------------------
  * By the way, when I try xrdp-keygen, rsakeys.ini
    is created with 0600 permission.
    - If this permission (0600) is correct, %attr(0600,root,root)
      is also needed.
    - If the permission should be 0644 or so, %post scriptlet
      needs fixing.
      ( I think anyway changing permission on %post explicitly
        is preferred )

  * Currently rsakeys.ini is recreated every time xrdp
    is upgraded. Is this correct?
    If not, something like
---------------------------------------------------------
[ -s %{_sysconfdir}/xrdp/rsakeys.ini ] || \
	xrdp-keygen xrdp %{_sysconfdir}/xrdp/rsakeys.ini >/dev/null
chmod 06?? %{_sysconfdir}/xrdp/rsakeys.ini
---------------------------------------------------------
    is needed so that rsakeys.ini won't be overwritten.
    ( I used "-s" here, not "-f", because at first install,
      0 size rsakeys.ini is installed )

  * Note that I think ">/dev/null" is okay, however ">/dev/null 2>&1"
    should be avoided. If this command outputs some errors, we
    should check them and examine what was wrong.

Comment 12 Mamoru TASAKA 2009-08-14 15:27:43 UTC
Well, so

(In reply to comment #10)
>   * Currently rsakeys.ini is recreated every time xrdp
>     is upgraded. Is this correct?

Comment 13 Itamar Reis Peixoto 2009-08-14 15:47:51 UTC
yes

Comment 14 Mamoru TASAKA 2009-08-14 16:21:02 UTC
Then okay.

-----------------------------------------------------
   This package (xrdp) is APPROVED by mtasaka
-----------------------------------------------------

Comment 15 Itamar Reis Peixoto 2009-08-14 16:55:13 UTC
New Package CVS Request
=======================
Package Name: xrdp
Short Description: Open source remote desktop protocol (RDP) server 
Owners: itamarjp
Branches: F-10 F-11 EL-4 EL-5
InitialCC:

Comment 16 Jason Tibbitts 2009-08-14 17:53:28 UTC
CVS done.

Comment 17 Fedora Update System 2009-08-14 18:36:39 UTC
xrdp-0.5.0-0.2.20090811cvs.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xrdp-0.5.0-0.2.20090811cvs.fc10

Comment 18 Fedora Update System 2009-08-14 18:36:45 UTC
xrdp-0.5.0-0.2.20090811cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xrdp-0.5.0-0.2.20090811cvs.fc11

Comment 19 Fedora Update System 2009-08-14 18:38:03 UTC
xrdp-0.5.0-0.2.20090811cvs.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/xrdp-0.5.0-0.2.20090811cvs.el5

Comment 20 Fedora Update System 2009-08-14 18:38:09 UTC
xrdp-0.5.0-0.2.20090811cvs.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/xrdp-0.5.0-0.2.20090811cvs.el4

Comment 21 Fedora Update System 2009-08-15 08:22:37 UTC
xrdp-0.5.0-0.2.20090811cvs.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2009-08-15 21:44:02 UTC
xrdp-0.5.0-0.2.20090811cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2009-09-03 23:18:48 UTC
xrdp-0.5.0-0.2.20090811cvs.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2009-09-03 23:19:00 UTC
xrdp-0.5.0-0.2.20090811cvs.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Itamar Reis Peixoto 2015-07-15 19:49:21 UTC
*** Bug 1242164 has been marked as a duplicate of this bug. ***

Comment 26 Itamar Reis Peixoto 2015-07-15 19:52:41 UTC
Package Change Request
======================
Package Name: xrdp
New Branches: EL-7
Owners: itamarjp

Comment 27 Gwyn Ciesla 2015-07-16 04:16:30 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.